Bug 13675 - installation crashes with signal 11 if zip drive present
installation crashes with signal 11 if zip drive present
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-10 18:39 EDT by fred_treasure
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-10 21:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fred_treasure 2000-07-10 18:39:41 EDT
On all Dell systems tested,  if there is a zip drive
on either IDE chain then the installation fails with
a signal 11 error.
Comment 1 Brent Nordquist 2000-07-10 19:07:25 EDT
Same here; I have an ATAPI ZIP drive in this machine (on /dev/hdc).

Trying to install Winston Beta-3 on an Intel Seattle 2 (440BX) mobo, 128MB RAM,
Adaptec 2940UW with one (narrow) SCSI CD-ROM, and one IDE (ATAPI) CD-RW.
Regardless of whether I use boot.img or bootnet.img, and whether a CD is actually
present in one of the two drives or not, the install crashes with signal 11:

[...]
running install...
running /sbin/loader
install exited abnormally -- recieved signal 11
sending termination signals...done
[...]

NB: the "recieved signal 11" typo is yours, not mine.  :-)

The F3 console has:
* probing for ide floppies
* found IDE floppy hdc
Comment 2 Brent Nordquist 2000-07-10 21:08:08 EDT
Confirmed; if I disable the IDE controller to which the ZIP is connected (in the
BIOS), I get past this problem.
Comment 3 Brent Nordquist 2000-07-10 21:59:03 EDT
The .new-boot.img boot disk posted by Erik Troan today appears to solve this
problem; when I boot with it I get past the crash point.
Comment 4 Bill Nottingham 2000-07-11 00:58:13 EDT
Fixed in CVS, and in the updated boot images.
Comment 5 Brent Nordquist 2000-07-31 20:53:23 EDT
Confirmed fixed in Pinstripe Beta-5.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.